Data Fields

# GRFTempEngineData Struct Reference

Temporary engine data used when loading only. More...

## Data Fields
uint16 | cargo_allowed
uint16 | cargo_disallowed
RailTypeLabel | railtypelabel
const GRFFile * | refitmask_grf
| GRF providing the cargo translation table for the refitmask.
bool | refitmask_valid
| Did the newgrf set any refittability property? If not, default refittability will be applied.
bool | prop27_set
| Did the NewGRF set property 27 (misc flags)?
uint8 | rv_max_speed
| Temporary storage of RV prop 15, maximum speed in mph/0.8.
uint32 | ctt_include_mask
| Cargo types always included in the refit mask.
uint32 | ctt_exclude_mask
| Cargo types always excluded from the refit mask.

## Detailed Description

Temporary engine data used when loading only.

Definition at line 292 of file newgrf.cpp.

The documentation for this struct was generated from the following file:

- src/newgrf.cpp